Pentests List pentests with pagination
GET
/api/pentests

Authentication

Bearer Token (BearerAuth)

Query Parameters

pageinteger

page_sizeinteger

Headers

X-Target-Serverstringrequired

Internal IP and port of the pt-agent instance (e.g. 10.10.0.26:9741)


Responses

200
Paginated list of pentests

Response Fields:

  • page (integer)

  • page_size (integer)

  • pentests (object[])

  • total (integer)

  • total_pages (integer)

Example:

{
  "page": 0,
  "page_size": 0,
  "pentests": [
    {
      "id": "string",
      "status": "string",
      "mode": "string",
      "style": "string",
      "exploit": true,
      "lightweight": true,
      "severity": "string",
      "findings": 0,
      "is_custom_plan": true,
      "custom_plan_name": "string"
    }
  ],
  "total": 0,
  "total_pages": 0
}